# synfigapp::Action::Group Class Reference

`#include <action.h>`

Inheritance diagram for synfigapp::Action::Group:

List of all members.

## Public Member Functions

| Group (const synfig::String &str="Group")
virtual | ~Group ()
virtual synfig::String | get_name () const
virtual void | prepare ()
virtual bool | set_param (const synfig::String &, const Param &) const
virtual bool | is_ready () const
void | set_name (std::string &x)

## Protected Attributes

bool | ready_

## Constructor & Destructor Documentation

Group::Group | ( | const synfig::String & | str = `"Group"` | ) |

Group::~Group | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual synfig::String synfigapp::Action::Group::get_name | ( |  | ) | const`[inline, virtual]`

Implements synfigapp::Action::Base.

virtual void synfigapp::Action::Group::prepare | ( |  | ) | `[inline, virtual]`

Implements synfigapp::Action::Super.

virtual bool synfigapp::Action::Group::set_param | ( | const synfig::String & | ,
|  | const Param & |  |
| ) |  |  | const`[inline, virtual]`

virtual bool synfigapp::Action::Group::is_ready | ( |  | ) | const`[inline, virtual]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References ready_.

void synfigapp::Action::Group::set_name | ( | std::string & | x | ) | `[inline]`

## Member Data Documentation

bool synfigapp::Action::Group::ready_ `[protected]`

Referenced by is_ready().

The documentation for this class was generated from the following files:

- action.h
- action.cpp